/*
 * skillExplore.hpp
 *
 *  Created on: 17/06/2013
 *      Author: timothyw
 */

#ifndef VICTIMID_SKILL_LOOK_AT_HPP_
#define VICTIMID_SKILL_LOOK_AT_HPP_

#include "victim_id/skill.hpp"

namespace casualty {

class VIDSkillLookAt : public VicIdSkill {
public:
    VIDSkillLookAt() :
        VicIdSkill("sk_look_at")
    {};
    ~VIDSkillLookAt() {};

    void start();
    void stop();
    bool equals(VicIdSkill& skOther);

    ros::ServiceClient* lookAtClient;       // Look At Client
    Point3D point;                          // Point to look at in any valid frame
    std::string frame;                      // Frame of the point
private:
};
typedef crosbot::Handle<VIDSkillLookAt> VIDSkillLookAtPtr;

} // namespace casualty

#endif /* VICTIMID_SKILL_LOOK_AT_HPP_ */
